%define name    qsynth
%define version 0.3.8
%define release %mkrel 1

Name:           %{name}
Summary:        Qt GUI Interface for FluidSynth
Version:        %{version}
Release:        %{release}

License:        GPLv2+
Group:          Sound
Source0:        http://downloads.sourceforge.net/qsynth/%name-%version.tar.xz
URL:            http://%name.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#------------------------------------------
BuildRequires: %{_lib}fluidsynth1-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}x11-devel
BuildRequires:  desktop-file-utils
BuildRequires:  cmake
#------------------------------------------
Requires:       fluidsynth
Obsoletes: 	%{name} < %version

%description
Qsynth is a fluidsynth GUI front-end application written in C++ around
the Qt4 toolkit using Qt Designer. Eventually it may evolve into a
softsynth management application allowing the user to control and manage
a variety of command line softsynth but for the moment it wraps the
excellent FluidSynth.

%prep
%setup -q

%build
# Fix locale installation path
perl -pi -e 's/share\/locale/share\/qsynth\/locale/g' src/CMakeLists.txt
perl -pi -e 's/share\/locale/share\/qsynth\/locale/g' src/qsynth.cpp
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} .
%make


%install
rm -rf %{buildroot}
%makeinstall_std


desktop-file-install --vendor="" \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --remove-category="MIDI" \
    --remove-category="ALSA" \
    --remove-category="JACK" \
    --add-category="Midi" \
    --add-category="X-MandrivaLinux-Sound" \
    --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

#icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
convert -resize 48x48 src/images/%{name}.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
convert -resize 32x32 src/images/%{name}.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
convert -resize 16x16 src/images/%{name}.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog TODO README
%{_bindir}/%{name}
%{_datadir}/qsynth/locale/%{name}*.qm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Sun Jan 05 2014 gseaman <galen.seaman at comcast.net> 0.3.8-1pclos2014
- 0.3.8

* Mon Apr 18 2011 Texstar <texstar at gmail.com> 0.3.6-1pclos2011
- 0.3.6

* Fri Aug 20 2010 Galen Seaman <gseaman2186@comcast.net> 0.3.5-1pclos2010
- Update to 0.3.5


